--- bsd.pkg.mk.orig	2003-09-19 12:49:10.000000000 +0900
+++ bsd.pkg.mk	2003-09-19 12:54:06.000000000 +0900
@@ -84,7 +84,8 @@
 PKGWILDCARD?=		${PKGBASE}-[0-9]*
 
 _DISTDIR?=		${DISTDIR}/${DIST_SUBDIR}
-
+DISTDIR_NEW?=		/usr/pkgsrc/distfiles-new
+_DISTDIR_NEW?=		${DISTDIR_NEW}/${DIST_SUBDIR}
 INTERACTIVE_STAGE?=	none
 
 # PKG_INSTALLATION_TYPE can only be one of two values: "pkgviews" or
@@ -3535,7 +3536,7 @@
 .PHONY: pre-distclean
 .if !target(pre-distclean)
 pre-distclean:
-	@${DO_NADA}
+	${TEST} -d ${_DISTDIR_NEW} || ${MKDIR} ${_DISTDIR_NEW}
 .endif
 
 
@@ -3551,8 +3552,8 @@
 	${_PKG_SILENT}${ECHO_MSG} "${_PKGSRC_IN}> Dist cleaning for ${PKGNAME}"
 	${_PKG_SILENT}${_PKG_DEBUG}if [ -d ${_DISTDIR} ]; then		\
 		cd ${_DISTDIR} &&					\
-		${TEST} -z "${DISTFILES}" || ${RM} -f ${DISTFILES};	\
-		${TEST} -z "${PATCHFILES}" || ${RM} -f ${PATCHFILES};	\
+		${TEST} -z "${DISTFILES}" || ${MV} -f ${DISTFILES} ${_DISTDIR_NEW};	\
+		${TEST} -z "${PATCHFILES}" || ${MV} -f ${PATCHFILES} ${_DISTDIR_NEW};	\
 	fi
 .  if defined(DIST_SUBDIR) && exists(DIST_SUBDIR)
 	-${_PKG_SILENT}${_PKG_DEBUG}${RMDIR} ${_DISTDIR}
